Import a library tool
Imports a library tool to create a private copy in the user's vault. Requires the private-tooling feature.
POST
/api/library/tool/{id}/importPath parameters
idstringrequiredBody
namestringrequireddescriptionstringdocker_imagestringdocker_tagstringinputsobjectoutputsobjectRequest
curl
curl -X POST https://platform.trickest.com/api/library/tool/{id}/import \
-H "Authorization: Bearer $TRICKEST_TOKEN" \
-H "Content-Type: application/json" \
-d '{ }'Responses
200Imported tool
idstringrequirednamestringrequireddescriptionstringtypeenumrequiredOne of: TOOL, SCRIPT, MODULE
categorystringauthorstringinputsobject[]outputsobject[]workflowstringvaultstringvault_infoobject400Bad Request – validation error or malformed input
codestringmessagestring401Unauthorized – missing or expired token
codestringmessagestring500Internal Server Error
codestringmessagestring